Subject: How to echo a string of more than 1024 chars in a bash script?
From: [email-masked] (Kim Ollivier)

10 Jul 1998 02:04:14 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I have a script that generates a header and standard script that now
fails
if I run it under NT4.0 and B19 Cynus bash shell. I think it used to
work,
but it certainly does in Solaris.
eg
# make a dummy script
.... various variables and setup options
.... dates etc
echo "
# comments
Date: $DATE
commands
lots more lines.... more than 1024 chars in total
" > scriptname

The resulting scriptname file is truncated. Sometimes bash core dumps.

Is this a bash limit, an environment setting, an echo command limit, or
what.
If it is a built-in limit, what simple shell scripting techniques get
around it?

--
Kim Ollivier  (Ollivier & Company Limited)  [email-masked]
55 Balmain Road, PO Box 34 861,Birkenhead, North Shore City, NZ
ph +64 9 418 2220 fax +64 9 480 2254 mob +64 25 593 769
Bus http://www.ollivier.webnz.co.nz Home http://www.iconz.co.nz/~kimo

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".